{% include 'base.html' %}
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'style.css' %}">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>Susun Deadline</title>
    <style>
        #jumbo-index .jumbotron{
            background-size: cover;
            background-position: center;
            height: 650px;
            width: 100%;
        }
    </style>
</head>
<body>
    <section id="jumbo-index">
        <div class="jumbotron jumbotron-fluid">
            <div class="container">
            {% if user.is_authenticated %}
                <div class="container-fluid" style="margin-top: 30px;">
                    <div class="container text-white" style="height: 640px;">
                        <h1>Ringkasan Tugas</h1>
                        <table class="table">
                            <thead class="table  text-blue text-center">
                                <th scope="col">Mata Kuliah</th>
                                <th scope="col">Nama Tugas</th>
                                <th scope="col">Deadline</th>
                                <th scope="col">Semester</th>
                            </thead>
                            <tbody>
                                {% for a in posts %}
                                <tr class="table text-blue text-center">
                                    <td> {{a.namaMatkul}} </td>
                                    <td> {{a.namaTugas}} </td>
                                    <td> {{a.Deadline}} </td>
                                    <td> {{a.semester}} </td>
                                    <td><a class="btn btn-danger" href="{% url 'daftarjadwal:delete' a.id %}">Delete</a></td>
                                    <td><a class="btn btn-warning" href="{% url 'daftarjadwal:update' a.id %}">Update</a></td>
                                </tr> 
                                {% endfor %}
                            </tbody>
                        </table>
                        <a class="btn btn-primary" href="/susundeadline">Tambahkan Tugas Lain</a>
                    </div>
                </div>
            {% else %}
                <section name="form">
                    <div class="container-fluid">
                        <div class="container text-blue" style="height: 670px;">
                            <h1>Ringkasan Tugas</h1>
                            <h2>Harap Log In terlebih dahulu</h2>
                            <a class="btn btn-primary mt-2" href="{% url 'home:login' %}">Log In</a>
                        </div>
                    </div> 
                </section>
            {% endif %}
            </div>
        </div>
    </section>
</body>
</html>
